summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
Diffstat (limited to 'source/n')
-rwxr-xr-xsource/n/epic5/epic5.SlackBuild2
-rwxr-xr-xsource/n/tin/tin.SlackBuild5
-rwxr-xr-xsource/n/wireless_tools/wireless_tools.SlackBuild9
-rw-r--r--source/n/wireless_tools/wireless_tools.static.diff11
-rw-r--r--source/n/wireless_tools/wireless_tools.url1
5 files changed, 9 insertions, 19 deletions
diff --git a/source/n/epic5/epic5.SlackBuild b/source/n/epic5/epic5.SlackBuild
index 491beeed2..64c392f74 100755
--- a/source/n/epic5/epic5.SlackBuild
+++ b/source/n/epic5/epic5.SlackBuild
@@ -26,7 +26,7 @@ PKGNAM=epic5
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
EPICVER=5
HELPFILE=current
-BUILD=${BUILD:-7}
+BUILD=${BUILD:-8}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/tin/tin.SlackBuild b/source/n/tin/tin.SlackBuild
index 95f757f9a..5855c372a 100755
--- a/source/n/tin/tin.SlackBuild
+++ b/source/n/tin/tin.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tin
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -62,7 +62,8 @@ find . \
-exec chmod 644 {} \;
./configure \
- --prefix=/usr \
+ --prefix=/usr \
+ --mandir=/usr/man \
--with-metamail=/usr/bin/metamail \
--with-ispell=/usr/bin/ispell \
--with-defaults-dir=/etc/tin \
diff --git a/source/n/wireless_tools/wireless_tools.SlackBuild b/source/n/wireless_tools/wireless_tools.SlackBuild
index 48ffa8ca9..0b8e235b0 100755
--- a/source/n/wireless_tools/wireless_tools.SlackBuild
+++ b/source/n/wireless_tools/wireless_tools.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=wireless_tools
-VERSION=29
-BUILD=${BUILD:-12}
+VERSION=30.pre9
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -57,10 +57,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf wireless_tools.$VERSION
-tar xvf $CWD/wireless_tools.$VERSION.tar.gz || exit 1
-cd wireless_tools.$VERSION
+tar xvf $CWD/wireless_tools.$VERSION.tar.?z || exit 1
+cd wireless_tools.$(echo $VERSION | cut -f 1 -d .) || cd wireless_tools.$VERSION
zcat $CWD/wireless_tools.nowhine.diff.gz | patch -p1 --verbose --suffix=.orig --backup || exit 1
-zcat $CWD/wireless_tools.static.diff.gz | patch -p1 --verbose --suffix=.orig --backup || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/n/wireless_tools/wireless_tools.static.diff b/source/n/wireless_tools/wireless_tools.static.diff
deleted file mode 100644
index 71f4ec3fa..000000000
--- a/source/n/wireless_tools/wireless_tools.static.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./Makefile.orig 2004-10-11 15:16:15.000000000 -0700
-+++ ./Makefile 2005-07-25 00:18:46.000000000 -0700
-@@ -17,7 +17,7 @@
- ## Uncomment this to build tools using static version of the library
- ## Mostly useful for embedded platforms without ldd, or to create
- ## a local version (non-root).
--# BUILD_STATIC = y
-+BUILD_STATIC = y
-
- ## Uncomment this to build without using libm (less efficient)
- ## This is mostly useful for embedded platforms without maths.
diff --git a/source/n/wireless_tools/wireless_tools.url b/source/n/wireless_tools/wireless_tools.url
new file mode 100644
index 000000000..803e2e0c7
--- /dev/null
+++ b/source/n/wireless_tools/wireless_tools.url
@@ -0,0 +1 @@
+https://hewlettpackard.github.io/wireless-tools/Tools.html